beads (1.1.22+ds-1) unstable; urgency=medium

  * d/watch:
     - version=5
     - Do not report new or old versions
  * Fix clean target
    Closes: #1043686
  * Drop copy of CImg.h from package source
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 16 Oct 2025 14:18:16 +0200

beads (1.1.22-2) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Fix FTBFS with CMake 4. Closes: #1112754.

  [ Santiago Vila ]
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * d/salsa-ci.yml: Use the simplified version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 13 Oct 2025 20:15:00 +0200

beads (1.1.22-1) unstable; urgency=low

  * New upstream version hopefully fixing bug (Closes: #1027544), thanks to
    Lucas Nussbaum for the bug report (note the that the unfixed software
    builds fine in a sid chroot on my computer).

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 01 Jan 2023 19:52:38 +0100

beads (1.1.21-1) unstable; urgency=low

  * Port to Qt6.
  * Update version of libodsstream-dev build-dep package.
  * Fixes in the CMake-based system.
  * Standards-Version: 4.6.1 (routine update).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 14 Dec 2022 12:45:41 +0100

beads (1.1.20-4) UNRELEASED; urgency=low

  [ Filippo Rusconi ]
  * Rewrite the watch file so that it points to the actual development
    repository site (beads had erroneously a full source repos in salsa).

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 07 Nov 2021 13:18:21 +0100

beads (1.1.20-3) unstable; urgency=medium

  [ Filippo Rusconi ]
  * Fix the watch file to actually point to the proper destination.

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 07 Nov 2021 10:15:36 +0100

beads (1.1.20-2) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * Add autopkgtests.
  * compat version: 13
  * Add "Rules-Requires-Root:no"
  * Fix spellings

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 26 Jun 2020 21:06:34 +0530

beads (1.1.20-2~buster3) buster; urgency=medium

  * new libpappsoms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 23 Jul 2020 13:21:24 +0200

beads (1.1.20-2~buster2) buster; urgency=medium

  * new libpappsoms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 23 Jul 2020 10:04:49 +0200

beads (1.1.20-2~buster1) buster; urgency=medium

  * new debian package for Debian 10 Buster based on Filippo's version

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 18 May 2020 10:44:24 +0200

beads (1.1.20-1) unstable; urgency=low

  * New upstream version, merging upstream and Debian packaging
    development with the initial work of Andreas Tille, the ongoing
    work by Olivier Langella and Filippo Rusconi.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 May 2020 11:04:30 +0200

beads (1.1.19+dfsg-1) unstable; urgency=low

  * New version updating the CMake build system to match
    the changes operated in the libodsstream package
    (closes: #959637) and the name of the libodsstream-dev
    package name. Thanks a lot to Lucas Nussbaum
    <lucas@debian.org> and Andreas Tille
    <andreas@an3as.eu> for reporting the problem.

  * Standards-Version: 4.5.0 (no changes needed).

  * Changed the inra.fr to inrae.fr domain name of the home page.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 05 May 2020 20:08:31 +0200

beads (1.1.18-9) buster; urgency=medium

  * new lib PAPPSOms++

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 11 Apr 2020 11:13:23 +0200

beads (1.1.18+dfsg-4) unstable; urgency=medium

  * Drop unneeded  Build-Depends on libquazip5-headers
    Closes: #945885
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove patches qt5.patch that are missing from
    debian/patches/series.

 -- Andreas Tille <tille@debian.org>  Sun, 01 Dec 2019 07:54:06 +0100

beads (1.1.18+dfsg-3) unstable; urgency=medium

  * Add libquazip5-headers Build-Depends explicitly which seems to have
    vanished from Depends of some build dependency
    Closes: #924472
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 13 Mar 2019 14:02:07 +0100

beads (1.1.18+dfsg-2) unstable; urgency=medium

  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Sat, 27 Oct 2018 17:41:52 +0200

beads (1.1.18+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Watch file now reports new upstream URLs (not fit for proper download
    yet since some more sophisticated name mangling is needed)
  * Standards-Version: 4.1.3
  * debhelper 11
  * Build-Depends: libodsstream-qt5-dev (>= 0.4.13-2)
  * Drop unused lintian override

 -- Andreas Tille <tille@debian.org>  Mon, 19 Feb 2018 13:27:11 +0100

beads (1.1.18-8) stretch; urgency=medium

  * new odsstream library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 02 Jan 2019 22:14:14 +0100

beads (1.1.18-6) stretch; urgency=medium

  * new pappso mspp library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 12 Dec 2018 19:20:48 +0100

beads (1.1.18-5) stretch; urgency=medium

  * new libodsstream library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 16 Aug 2018 10:52:49 +0200

beads (1.1.18-4) stretch; urgency=medium

  * new libodsstream library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 16 May 2018 09:35:46 +0200

beads (1.1.18-3) stretch; urgency=medium

  * new libodsstream

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 30 Apr 2018 15:43:46 +0200

beads (1.1.18-2) stretch; urgency=medium

  * new libodsstream

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 14 Apr 2018 21:26:00 +0200

beads (1.1.18-1) stretch; urgency=medium

  * better debian package, new libodsstream

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 13 Mar 2018 15:53:00 +0100

beads (1.1.17-2) stretch; urgency=medium

  * better debian package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 16 Feb 2018 06:57:23 +0100

beads (1.1.17-1) stretch; urgency=medium

  * move to QT5

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 11 Feb 2018 18:41:58 +0100

beads (1.1.16-3) stretch; urgency=medium

  * stretch package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 17 Aug 2017 21:41:50 +0200

beads (1.1.16-2) jessie; urgency=medium

  * new odsstream library

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 23 May 2017 22:31:11 +0200

beads (1.1.16-1) jessie; urgency=medium

  * updated version using libodsstream, better exports

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 24 Apr 2017 09:42:19 +0200

beads (1.1.15-2) jessie; urgency=medium

  * package for Jessie

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 28 Aug 2015 16:02:53 +0200

beads (1.1.15-1) wheezy; urgency=low

  * bug fixed creating new beads.conf file

 -- Olivier Langella <olivier.langella@moulon.inra.fr>  Sat, 19 May 2012 06:18:51 +0200

beads (1.1.14-2) natty; urgency=low

  * no more X11 dependency
  * no more pthread depency

 -- Olivier Langella <olivier.langella@moulon.inra.fr>  Sat, 25 Jun 2011 06:18:51 +0200

beads (1.1.14-1~maverick1) maverick; urgency=low

  * new CMakeLists.txt compilation method
  * new Cimg library 1.4.4

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 02 Nov 2010 10:18:51 +0200

beads (1.1.13+dfsg-2) unstable; urgency=medium

  * replacing the build dependency on qttools5-dev-tools with qttools5-dev
    Closes: #880850

 -- Andreas Tille <tille@debian.org>  Mon, 06 Nov 2017 00:31:00 +0100

beads (1.1.13+dfsg-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #879556)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Oct 2017 22:19:26 +0200

beads (1.1.13-1~maverick1) maverick; urgency=low

  * maverick package

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 9 Sep 2010 10:18:51 +0200

beads (1.1.13-1~lucid1) lucid; urgency=low

  * fixed bug when trying to save results from sypro images (detected by T. Balliau)

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 9 Sep 2010 10:18:51 +0200

beads (1.1.12-1~lucid1) lucid; urgency=low

  * command line output extension detection problem fixed
  * integration of Cimg 1.3.9
  * memory leak fixed on qt properties object

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 26 Aug 2010 10:18:51 +0200

beads (1.1.11-1~lucid1) lucid; urgency=low

  * UTF8 image file path
  * parameter "atom" renamed in "minbeads"
  * rename CONFLUENTS image to SELECT image
  * parameter "minconfl" renamed in "minpath"
  * parameter "flux" renamed in "minflux"
  * confluent_ prefix removed from 	minflux, minpath, winconfl, minbeads
  * prob_ prefix removed from sx, sy, sx_bottom, sy_bottom
  * rename detection_threshold to minproba
  * rename quantification_npass to npass
  * inverse image checked by default

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 18 May 2010 10:18:51 +0200

beads (1.1.10-1~lucid1) lucid; urgency=low

  * write matchset with matched spot num

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 10 Apr 2010 10:18:51 +0200

beads (1.1.9-2~lucid1) lucid; urgency=low

  * bug fixed writing sample name in PROTICdbML (thanks to Thierry Balliau)

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 28 Apr 2010 10:18:51 +0200

beads (1.1.9-1~lucid1) karmic; urgency=low

  * edit spot_num dialog
  * new menu item to save all beads steps in one directory (PROBABILITIES, NUMBERS, PATH...)

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 28 Apr 2010 10:18:51 +0200

beads (1.1.8-1~karmic1) karmic; urgency=low

  * poor protection of detection in BeadsResults fixed (bug found by Thierry Balliau)
  * gnumeric support

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 12 Mar 2010 10:18:51 +0200

beads (1.1.7-1~karmic1) karmic; urgency=low

  * CMakeLists.txt changes
  * use of QXmlStreamWriter to produce well formed and well coded XML documents
  * use of QString and QDebug in the core library
  * qt about disabled

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 24 Feb 2010 10:18:51 +0200

beads (1.1.6-1~karmic1) karmic; urgency=low

  * bug reported by Thierry Balliau fixed (depth of recursive functions)

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 13 Jan 2010 02:18:51 +0200

beads (1.1.5-1~karmic1) karmic; urgency=low

  * cimg_OS defined by cmake
  * SVG beads icon added to the main windows
  * image intensity reads correctly UTF8 file paths (uses QFileInfo)
  * action "fit to windows" is disabled

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 16 Dec 2009 02:18:51 +0200

beads (1.1.4-1~karmic1) karmic; urgency=low

  * save picked num in PROTICdbML file
  * edit picked num on detected gel image
  * display spot number on detected gel image
  * display x,y position of the cursor on gel image

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 16 Dec 2009 02:18:51 +0200

beads (1.1.3-1~karmic1) karmic; urgency=low

  * contour edges problem fixed
  * qt compilation with win32
  * new steps argument
  * updated man page
  * desktop menu for qtbeads
  * parameters files examples in /usr/share/beads

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 7 Dec 2009 18:18:51 +0200

beads (1.1.2-1~karmic1) karmic; urgency=low

  * load beads parameter file

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 30 Nov 2009 10:18:51 +0200

beads (1.1.1-2~karmic1) karmic; urgency=low

  * package dependencies fixed

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sun, 29 Nov 2009 10:18:51 +0200

beads (1.1.1-1~karmic1) karmic; urgency=low

  * saves results to output files (images, quantifications, svg, PROTICdbML)

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sun, 29 Nov 2009 10:18:51 +0200

beads (1.1.0-1~karmic1) karmic; urgency=low

  * new cimg library (1.3.2)
  * first version of qtbeads, GUI for beads

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 28 Nov 2009 10:18:51 +0200

beads (1.0-2~karmic1) karmic; urgency=low

  * repackaging for Ubuntu Karmic Koala

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 12 Nov 2009 10:18:51 +0200

beads (1.0-1~hardy1) hardy; urgency=low

  * published in Proteomics : http://www.ncbi.nlm.nih.gov/pubmed/19003871

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 26 Nov 2008 11:18:51 +0200

beads (1.0-1) intrepid; urgency=low

  * published in Proteomics : http://www.ncbi.nlm.nih.gov/pubmed/19003871

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 26 Nov 2008 11:18:51 +0200

beads (0.1-1~hardy1) hardy; urgency=low

  * ppa build for Hardy and Intrepid.

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 07 Nov 2008 20:08:38 +0200

beads (0.1-1) intrepid; urgency=low

  * Initial release.

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 25 Jun 2008 11:18:51 +0200
